Skip to main content

updateAzureDevopsIntegrationOrganizations

Update the list of Azure DevOps organizations selected for the integration.

updateAzureDevopsIntegrationOrganizations(
input: UpdateAzureDevopsIntegrationOrganizationsInput!
): UpdateAzureDevopsIntegrationOrganizationsPayload

Arguments​

updateAzureDevopsIntegrationOrganizations.input ● UpdateAzureDevopsIntegrationOrganizationsInput! non-null input​

Parameters for UpdateAzureDevopsIntegrationOrganizations

Type​

UpdateAzureDevopsIntegrationOrganizationsPayload object​

Autogenerated return type of UpdateAzureDevopsIntegrationOrganizations.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateAzureDevopsIntegrationOrganizations($input: UpdateAzureDevopsIntegrationOrganizationsInput!) {\n updateAzureDevopsIntegrationOrganizations(input: $input) { clientMutationId integration { id astBranchPattern astOrchestratorConfigured } }\n}","variables":{"input":{"integrationId":"<integration_id>","organizations":[{"name":"example"}]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute